Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class DomQnameContext

    java.lang.Object
      com.servingxml.util.xml.DomQnameContext

All Implemented Interfaces:
  QnameContext, QnameFactory

    public class DomQnameContext

extends java.lang.Object
implements QnameContext

Constructor Summary
`DomQnameContext(MutableNameTable nameTable, org.w3c.dom.Element element)`
`DomQnameContext(MutableNameTable nameTable, org.w3c.dom.Element element, java.lang.String base)`
`DomQnameContext(QnameContext parent, org.w3c.dom.Element element)`

Method Summary
`Name` | `createName(java.lang.String qname)`
`Name` | `createName(java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.String` | `getBase()`
`java.lang.String` | `getNamespaceUri(java.lang.String prefix)`
`MutableNameTable` | `getNameTable()`
`java.lang.String` | `getPrefix(java.lang.String namespaceUri)`
`PrefixMap` | `getPrefixMap()`
`int` | `getSymbol(Name name)`
`int` | `getSymbol(java.lang.String namespaceUri, java.lang.String localName)`
`int` | `lookupSymbol(Name name)`
`int` | `lookupSymbol(java.lang.String namespaceUri, java.lang.String localName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomQnameContext

    public DomQnameContext(MutableNameTable nameTable,
                           org.w3c.dom.Element element)

### DomQnameContext

    public DomQnameContext(MutableNameTable nameTable,
                           org.w3c.dom.Element element,
                           java.lang.String base)

### DomQnameContext

    public DomQnameContext(QnameContext parent,
                           org.w3c.dom.Element element)

Method Detail

### getNameTable

    public MutableNameTable getNameTable()

  Specified by:
    `getNameTable` in interface `QnameContext`

### getNamespaceUri

    public java.lang.String getNamespaceUri(java.lang.String prefix)

  Specified by:
    `getNamespaceUri` in interface `QnameContext`

### getPrefixMap

    public PrefixMap getPrefixMap()

  Specified by:
    `getPrefixMap` in interface `QnameContext`

### createName

    public Name createName(java.lang.String qname)

  Specified by:
    `createName` in interface `QnameFactory`

### getPrefix

    public java.lang.String getPrefix(java.lang.String namespaceUri)

  Specified by:
    `getPrefix` in interface `QnameContext`

### createName

    public Name createName(java.lang.String namespaceUri,
                           java.lang.String localName)

  Specified by:
    `createName` in interface `QnameContext`

### lookupSymbol

    public int lookupSymbol(Name name)

### lookupSymbol

    public int lookupSymbol(java.lang.String namespaceUri,
                            java.lang.String localName)

### getSymbol

    public int getSymbol(Name name)

### getSymbol

    public int getSymbol(java.lang.String namespaceUri,
                         java.lang.String localName)

### getBase

    public java.lang.String getBase()

  Specified by:
    `getBase` in interface `QnameContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD